Results 1 to 5 of 5
  1. #1
    Join Date
    Aug 2003
    Posts
    49

    Unanswered: Migration from Oracle 7.3 to 8i - SQLNET 7.3 troubles

    Hi everybody,
    i have to migrate a db from Oracle 7.3 on a DG-UX to Oracle 8.1.6 (or 8.1.7) on a Sun Solaris 8. but i have to solve this problem: at the moment we're using a Power Builder software that's connecting to the Oracle7.3 instance using SQLNET 7.3.
    How can i be sure Power Builder will be able to keep the connection working to the new Oracle 8i db (where we have net8)?
    I've heard tnsnames.ora produced by Net8 has a different format respect to the one produced by SQLNET. Is SQLNET 7.3 compliant with Oracle 8i? Can i hold on using SQLNET 7.3 under Oracle 8i?
    May i have some other opportunities to connect to Oracle 8i with the Power Builder software (maybe through the tnsnames.ora of the 8i?).

    One last question: do i have to pay a special attention to migrate the db from Oracle 7.3 to Oracle 8i or a normal export/import is enough?


    Thank you very much!

    Matte

  2. #2
    Join Date
    Mar 2002
    Location
    Reading, UK
    Posts
    1,137
    You should be able to use your existing tnsnames.ora as you can still specify the ORACLE_SID to point to your 8i database.

    You should be able to use SQLNET to connect to 8i. Give it a try if not install the 8i client on your powerbuilder machine.

    Alan

  3. #3
    Join Date
    Aug 2003
    Posts
    49
    Thank you very much Alan,
    i will try.
    one last thing: do you know where i can find documentation about that compliancy (about tnsnames.ora produced by SQLNET 7.3 and Oracle 8i)?
    i must give a document or a link that proves this is a possible way to follow.....


    Matte

  4. #4
    Join Date
    Nov 2002
    Posts
    833
    Originally posted by matte2111
    Thank you very much Alan,
    i will try.
    one last thing: do you know where i can find documentation about that compliancy (about tnsnames.ora produced by SQLNET 7.3 and Oracle 8i)?
    i must give a document or a link that proves this is a possible way to follow.....


    Matte
    look and metalink and search for the compatibility matrix

    keep in mind, or better evaluate, that your PB App doesn't use any sqlnet7.3 DLLs
    you can check it while running filemon tool from sysinternals

  5. #5
    Join Date
    Aug 2003
    Posts
    49
    Thank you very much osy45,
    i've never used the filemon tool but i will look for it.
    the problem is i have no access to metalink....

    Matte

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •